---
id: 68ea8e6a87a2816b0bb2eb7d
title: Step 8
challengeType: 0
dashedName: step-8
---

# --description--

The next step is the section in the form for the parent information. 

Start by adding another `fieldset` element. Inside that `fieldset` element, add a `legend` element with the text `Parent/Guardian Information`. 

# --hints--

You have a total of two `fieldset` elements on the page.

```js
assert.lengthOf(document.querySelectorAll("fieldset"), 2);
```

You should have a `legend` element inside your second `fieldset` element.

```js
assert.exists(document.querySelector("fieldset:last-of-type legend"));
```

Your `legend` element should have the text `Parent/Guardian Information`.

```js
assert.strictEqual(document.querySelector("fieldset:last-of-type legend")?.innerText, "Parent/Guardian Information");
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Parent Teacher Conference Form</title>
  <link rel="stylesheet" href="./styles.css" />
</head>

<body>
  <main class="container">
    <h1 class="title center">Parent Teacher Conference Form</h1>
    <p class="description center">Please fill out the form below to help schedule your parent-teacher conference.</p>

    <form>
      <fieldset>
        <legend>Student Information</legend>
        <label for="student-name">Full Name: </label>
        <input
            type="text"
            name="student-name"
            id="student-name"
            required
            placeholder="E.g., Jane Doe"
          />


        <label for="grade">Student Grade: </label>
        <input
            type="number"
            name="grade"
            id="grade"
            required
            placeholder="E.g., 4"
          />
      </fieldset>
      --fcc-editable-region--
      
      --fcc-editable-region--
    </form>
  </main>
</body>

</html>
```
